Merge branch 'sitrep' into 'master'

Adds markings for refactoration and editorconfig

See merge request lappis-unb/projects/SMI-UnB!7
Status Job ID Name Coverage
  Test
failed #118145275
stylesheet

00:01:30

passed #118145274
test

00:01:56

 
Name Stage Failure
failed
stylesheet Test
pytest-cov 2.6.0 has requirement coverage>=4.4, but you'll have coverage 3.7.1 which is incompatible.
Installing collected packages: certifi, chardet, idna, urllib3, six, pycparser, cffi, asn1crypto, cryptography, pyOpenSSL, requests, pytz, django, redis, django-redis, psycopg2-binary, numpy, python-dateutil, pandas, babel, imagesize, alabaster, pyparsing, packaging, MarkupSafe, Jinja2, Pygments, docutils, snowballstemmer, sphinxcontrib-websupport, Sphinx, django-polymorphic, manuel, mpld3, unipath, django-common-helpers, django-cron, kiwisolver, cycler, matplotlib, djangorestframework, invoke, unidecode, pluggy, atomicwrites, attrs, pathlib2, py, more-itertools, pytest, coverage, pytest-cov, pbr, mock, python-boilerplate, pyflakes, pycodestyle, mccabe, flake8, smi-unb
Running setup.py develop for smi-unb
Successfully installed Jinja2-2.10 MarkupSafe-1.1.0 Pygments-2.2.0 Sphinx-1.8.1 alabaster-0.7.12 asn1crypto-0.24.0 atomicwrites-1.2.1 attrs-18.2.0 babel-2.6.0 certifi-2018.10.15 cffi-1.11.5 chardet-3.0.4 coverage-3.7.1 cryptography-2.3.1 cycler-0.10.0 django-2.0 django-common-helpers-0.9.2 django-cron-0.5.1 django-polymorphic-2.0.2 django-redis-4.3.0 djangorestframework-3.9.0 docutils-0.14 flake8-3.6.0 idna-2.7 imagesize-1.1.0 invoke-1.2.0 kiwisolver-1.0.1 manuel-1.9.0 matplotlib-3.0.1 mccabe-0.6.1 mock-2.0.0 more-itertools-4.3.0 mpld3-0.3 numpy-1.15.4 packaging-18.0 pandas-0.23.4 pathlib2-2.3.2 pbr-5.1.1 pluggy-0.8.0 psycopg2-binary-2.7.5 py-1.7.0 pyOpenSSL-18.0.0 pycodestyle-2.4.0 pycparser-2.19 pyflakes-2.0.0 pyparsing-2.3.0 pytest-3.10.0 pytest-cov-2.6.0 python-boilerplate-0.4.10 python-dateutil-2.7.5 pytz-2018.7 redis-2.10.6 requests-2.20.0 six-1.11.0 smi-unb snowballstemmer-1.2.1 sphinxcontrib-websupport-1.1.0 unidecode-1.0.22 unipath-1.1 urllib3-1.24.1
$ flake8 src/ --exclude migrations
src/smi_unb/buildings/models.py:22:20: W605 invalid escape sequence '\.'
src/smi_unb/transductor/models.py:64:20: W605 invalid escape sequence '\.'
src/smi_unb/data_reader/utils.py:407:9: F841 local variable 'e' is assigned to but never used
ERROR: Job failed: exit code 1